import React from 'react';
import { Menu, Dropdown, Icon } from 'antd';

import './style.less';

export default function withActions(actionsRender) {
  return function ActionList(text, record) {
    const actions = actionsRender(text, record);
    const [Act1, ...leftActs] = (actions || []).filter(Boolean);

    const menus = (
      <Menu className="actlist-menu">
        {(leftActs || []).map((Act, index) => (<Menu.Item key={`dm-${index}`}>{Act}</Menu.Item>))}
      </Menu>
    );

    return (
      <div className="action-list">
        {
          Act1 && <span>{Act1}</span>
        }
        {
          leftActs && leftActs.length ?
          (
            <span>
              <Dropdown overlay={menus} trigger={['click']}>
                <a onClick={e => e.preventDefault()}>
                  <span>更多</span> <Icon type="down" />
                </a>
              </Dropdown>
            </span>
          ) : null
        }
      </div>
    );
  }
}
